/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    mockInjector = require('../../../mock_injector'),
    _evaluateSeedEntry = require('../../../../task/worker/_evaluate_seed_entry.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    mockInjector.restoreAll();
    done();
};


exports['Evaluate seed entry.'] = function (test) {
    var entry = {
        name: "${firstName} ${lastName}"
    }, scopeData = {
        firstName: 'Jack',
        lastName: 'Low'
    };
    var evaluated = _evaluateSeedEntry(entry, scopeData);
    test.equal(evaluated.name, 'Jack Low');
    test.done();
};